package gov.va.vinci.dart.json.builder;

import gov.va.vinci.dart.biz.Location;
import gov.va.vinci.dart.json.LocationListView;

import java.util.ArrayList;
import java.util.List;

public class LocationListViewBuilder {

	public LocationListView build(final List<Location> locationList) {

		List<String> stringList = new ArrayList<String>();
		for (Location loc : locationList) {
			stringList.add(loc.getName());
		}
		
		return new LocationListView(stringList);
	}
}
